=== debian/changelog ===
texlive-base (2023.20230613-3) unstable; urgency=medium

  * Upload to unstable.

 -- Hilmar Preusse <hille42@web.de>  Sun, 27 Aug 2023 23:39:20 +0200

texlive-base (2023.20230613-2) experimental; urgency=medium

  * Bump package versions needed by texlive-full, to make sure all
    packages are upgraded, when tl-full is upgraded. This should fix
    the piuparts sid2experimental test.

 -- Hilmar Preusse <hille42@web.de>  Sat, 05 Aug 2023 11:21:28 +0200

texlive-base (2023.20230613-1) experimental; urgency=medium

  * New upstream snapshot, update / disable patches.
    - Contains fixed version of pixelart (Closes: #1036054).
  * CSLaTeX is considered to be obsolete, stop building formats for it.
    ***** WARNING ******** CSLaTeX is obsolete, don't use it please *****
    ***** You can use ``normal'' LaTeX+Babel or XeLaTeX+polyglossia *****

 -- Hilmar Preusse <hille42@web.de>  Wed, 19 Jul 2023 12:19:49 +0200
