## texlive-base 2023.20231007

=== debian/changelog ===
texlive-base (2023.20231007-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Hilmar Preusse <hille42@web.de>  Sun, 08 Oct 2023 20:00:45 +0000
