=== texmf-dist/doc/latex/circuit-macros/examples/Makefile ===
--- 
+++ 
@@ -99,6 +99,7 @@
 LTX = pdflatex --shell-escape
 
 PDFLTXSRC=printf "|documentclass[11pt]{standalone}\n\
+|usepackage[dvipsnames]{xcolor}\n\
 |usepackage{times,boxdims,siunitx,amssymb,tikz,geometry}\n\
 |geometry{paperwidth=15in,paperheight=14in,margin=1in}\n\
 |pagestyle{empty}|thispagestyle{empty}\n\
