=== texmf-dist/doc/pdftex/tests/01-fake-interword-space/Makefile ===
# Public domain.

test:
	../../source/build-pdftex/texk/web2c/pdftex -ini fake-interword-space.tex

clean:
	$(clean)
