=== debian/changelog ===
texlive-base (2023.20240207-1) unstable; urgency=medium

  * New upstream snapshot (refresh / redo patches).

 -- Hilmar Preusse <hille42@web.de>  Wed, 14 Feb 2024 14:08:19 +0000
