## texlive-base 2024.20240401

=== debian/changelog ===
texlive-base (2024.20240401-3) unstable; urgency=medium

  * Add patch https://tug.org/svn/texlive?revision=71233&view=revision
    to fix --output-directory option in mktexpk (Closes: #1072828).

 -- Hilmar Preusse <hille42@web.de>  Thu, 20 Jun 2024 11:39:03 +0200

texlive-base (2024.20240401-2) unstable; urgency=medium

  * Upload to unstable.

 -- Hilmar Preusse <hille42@web.de>  Sun, 26 May 2024 16:01:45 +0200

texlive-base (2024.20240401-1) experimental; urgency=medium

  * New upstream snapshot (update / refresh patches).
    - texlive-base now provides manual pages, which were previously
      in texlive-binaries.

 -- Hilmar Preusse <hille42@web.de>  Sun, 21 Apr 2024 23:33:45 +0200
