=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
 Package: texlive-base
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libpaper-utils, sensible-utils, tex-common (>= 6.14), texlive-binaries (>= 2023.20230311), ucf, xdg-utils
-Conflicts: tex4ht (<< 20160814), texlive (<< 2023.20230613), texlive-base (<< 2023.20230613), texlive-bibtex-extra (<< 2023.20230613), texlive-binaries (<< 2023.20230311), texlive-extra-utils (<< 2023.20230613), texlive-font-utils (<< 2023.20230613), texlive-fonts-extra (<< 2023.20230613), texlive-fonts-extra-doc (<< 2023.20230613), texlive-fonts-extra-links (<< 2023.20230613), texlive-fonts-recommended (<< 2023.20230613), texlive-fonts-recommended-doc (<< 2023.20230613), texlive-formats-extra (<< 2023.20230613), texlive-full (<< 2023.20230613), texlive-games (<< 2023.20230613), texlive-humanities (<< 2023.20230613), texlive-humanities-doc (<< 2023.20230613), texlive-lang-all (<< 2023.20230613), texlive-lang-arabic (<< 2023.20230613), texlive-lang-chinese (<< 2023.20230613), texlive-lang-cjk (<< 2023.20230613), texlive-lang-cyrillic (<< 2023.20230613), texlive-lang-czechslovak (<< 2023.20230613), texlive-lang-english (<< 2023.20230613), texlive-lang-european (<< 2023.20230613), texlive-lang-french (<< 2023.20230613), texlive-lang-german (<< 2023.20230613), texlive-lang-greek (<< 2023.20230613), texlive-lang-italian (<< 2023.20230613), texlive-lang-japanese (<< 2023.20230613), texlive-lang-korean (<< 2023.20230613), texlive-lang-other (<< 2023.20230613), texlive-lang-polish (<< 2023.20230613), texlive-lang-portuguese (<< 2023.20230613), texlive-lang-spanish (<< 2023.20230613), texlive-latex-base (<< 2023.20230613), texlive-latex-base-doc (<< 2023.20230613), texlive-latex-extra (<< 2023.20230613), texlive-latex-extra-doc (<< 2023.20230613), texlive-latex-recommended (<< 2023.20230613), texlive-latex-recommended-doc (<< 2023.20230613), texlive-luatex (<< 2023.20230613), texlive-metapost (<< 2023.20230613), texlive-metapost-doc (<< 2023.20230613), texlive-music (<< 2023.20230613), texlive-pictures (<< 2023.20230613), texlive-pictures-doc (<< 2023.20230613), texlive-plain-generic (<< 2023.20230613), texlive-pstricks (<< 2023.20230613), texlive-pstricks-doc (<< 2023.20230613), texlive-publishers (<< 2023.20230613), texlive-publishers-doc (<< 2023.20230613), texlive-science (<< 2023.20230613), texlive-science-doc (<< 2023.20230613), texlive-xetex (<< 2023.20230613)
+Depends: ${misc:Depends}, libpaper-utils, sensible-utils, tex-common (>= 6.14), texlive-binaries (>= 2024.20240313), ucf, xdg-utils
+Conflicts: tex4ht (<< 20160814), texlive (<< 2024.20240401), texlive-base (<< 2024.20240401), texlive-bibtex-extra (<< 2024.20240401), texlive-binaries (<< 2024.20240313), texlive-extra-utils (<< 2024.20240401), texlive-font-utils (<< 2024.20240401), texlive-fonts-extra (<< 2024.20240401), texlive-fonts-extra-doc (<< 2024.20240401), texlive-fonts-extra-links (<< 2024.20240401), texlive-fonts-recommended (<< 2024.20240401), texlive-fonts-recommended-doc (<< 2024.20240401), texlive-formats-extra (<< 2024.20240401), texlive-full (<< 2024.20240401), texlive-games (<< 2024.20240401), texlive-humanities (<< 2024.20240401), texlive-humanities-doc (<< 2024.20240401), texlive-lang-all (<< 2024.20240401), texlive-lang-arabic (<< 2024.20240401), texlive-lang-chinese (<< 2024.20240401), texlive-lang-cjk (<< 2024.20240401), texlive-lang-cyrillic (<< 2024.20240401), texlive-lang-czechslovak (<< 2024.20240401), texlive-lang-english (<< 2024.20240401), texlive-lang-european (<< 2024.20240401), texlive-lang-french (<< 2024.20240401), texlive-lang-german (<< 2024.20240401), texlive-lang-greek (<< 2024.20240401), texlive-lang-italian (<< 2024.20240401), texlive-lang-japanese (<< 2024.20240401), texlive-lang-korean (<< 2024.20240401), texlive-lang-other (<< 2024.20240401), texlive-lang-polish (<< 2024.20240401), texlive-lang-portuguese (<< 2024.20240401), texlive-lang-spanish (<< 2024.20240401), texlive-latex-base (<< 2024.20240401), texlive-latex-base-doc (<< 2024.20240401), texlive-latex-extra (<< 2024.20240401), texlive-latex-extra-doc (<< 2024.20240401), texlive-latex-recommended (<< 2024.20240401), texlive-latex-recommended-doc (<< 2024.20240401), texlive-luatex (<< 2024.20240401), texlive-metapost (<< 2024.20240401), texlive-metapost-doc (<< 2024.20240401), texlive-music (<< 2024.20240401), texlive-pictures (<< 2024.20240401), texlive-pictures-doc (<< 2024.20240401), texlive-plain-generic (<< 2024.20240401), texlive-pstricks (<< 2024.20240401), texlive-pstricks-doc (<< 2024.20240401), texlive-publishers (<< 2024.20240401), texlive-publishers-doc (<< 2024.20240401), texlive-science (<< 2024.20240401), texlive-science-doc (<< 2024.20240401), texlive-xetex (<< 2024.20240401)
 Recommends: lmodern (>= 0.93.3)
 Provides: dvipdfmx
 Suggests: ghostscript, gv | postscript-viewer, perl-tk, xpdf | pdf-viewer, xzdec
@@ -113,7 +113,7 @@
 Package: texlive-latex-base
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2022.20220405), texlive-base (>= 2023.20230613), texlive-binaries (>= 2023.20230311)
+Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2022.20220405), texlive-base (>= 2024.20240401), texlive-binaries (>= 2024.20240313)
 Suggests: texlive-latex-base-doc, wp2latex
 Replaces: texlive-latex-extra (<< 2022.20220923), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225), texlive-latex-recommended (<< 2020.20201203), texlive-latex-recommended (<< 2022.20230122)
 Breaks: latexml (<= 0.8.6-4), texlive-base (<< 2022.20220405), texlive-formats-extra (<< 2020.20201129), texlive-lang-japanese (<= 2022.20221123-1), texlive-latex-extra (<< 2019.20191203), texlive-latex-extra (<< 2022.20220923), texlive-latex-recommended (<< 2019.20191208), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225), texlive-latex-recommended (<< 2020.20201203), texlive-latex-recommended (<< 2022.20230122)
@@ -247,6 +247,6 @@
 Package: texlive-latex-recommended
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, texlive-base (>= 2022.20220405), texlive-binaries (>= 2023.20230311), texlive-latex-base (>= 2023.20230613)
+Depends: ${misc:Depends}, texlive-base (>= 2022.20220405), texlive-binaries (>= 2024.20240313), texlive-latex-base (>= 2024.20240401)
 Suggests: texlive-latex-recommended-doc, texlive-luatex, texlive-pstricks
 Replaces: texlive-latex-base (<< 2019.20191208), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20191208)
