=== debian/changelog ===
texlive-base (2024.20240706-1) unstable; urgency=medium

  * New upstream snapshot, disable obsolete patch.
  * Create correct soft link to .../texmf-dist/scripts/texlive/rungs.lua
    (LP: #2038452).
  * Sync scripts.lst from texlive-bin.

 -- Hilmar Preuße <hille42@debian.org>  Thu, 11 Jul 2024 23:31:48 +0200
